Skip to Content
veriom

List previews

GET
/v1/workspaces/{workspace_id}/ownership/previews

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Query Parameters

audit_id?|null
before_id?|null
limit?Limit
Range1 <= value <= 50
Default20

Response Body

Successful Response

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/ownership/previews'
Example Response
[  {    "applied_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "preview_sha256": "string",    "result": {      "applied": 0,      "applied_at": "2019-08-24T14:15:22Z",      "needs_review": 0,      "unchanged": 0    },    "snapshot": {      "audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897",      "branch_ref": "string",      "commit_sha": "string",      "items": [        {          "assignee_id": "e209ca2d-190b-4818-b659-67d4ef4f1ce8",          "collaboration_version": 0,          "current_assignee_id": "ec4c2f16-4693-4789-bb93-768f7f22b770",          "due_at": "2019-08-24T14:15:22Z",          "finding_id": "feebf65a-2eaa-4fae-aab2-772450efdffe",          "identities": [            "string"          ],          "paths": [            "string"          ],          "reason": "string",          "rule_lines": [            0          ],          "service_ids": [            "f7eb01c9-d95f-476e-9338-df56032c0dac"          ],          "severity": "string",          "status": "ready",          "title": "string"        }      ],      "next_cursor": "a7ec8888-a9c3-4732-a281-9a08510f220b",      "policy_version": 0,      "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",      "source_path": "string",      "source_sha256": "string",      "source_status": "string",      "warnings": [        "string"      ]    }  }]